Module tdlight.api
Package it.tdlight.jni

# Class TdApi.NotificationSound

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.NotificationSound

Enclosing class:
  TdApi

public static final class TdApi.NotificationSound extends TdApi.Object
Describes a notification sound in MP3 format.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`data`
Arbitrary data, defined while the sound was uploaded.
`int`
`date`
Point in time (Unix timestamp) when the sound was created.
`int`
`duration`
Duration of the sound, in seconds.
`long`
`id`
Unique identifier of the notification sound.
`TdApi.File`
`sound`
File containing the sound.
`String`
`title`
Title of the notification sound.

## Constructor Summary

Constructors
Constructor
Description
`NotificationSound()`
Describes a notification sound in MP3 format.
`NotificationSound(long id, int duration, int date, String title, String data, TdApi.File sound)`
Describes a notification sound in MP3 format.
`NotificationSound(DataInput input)`
Describes a notification sound in MP3 format.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Unique identifier of the notification sound.

### duration

public int duration
Duration of the sound, in seconds.

### date

public int date
Point in time (Unix timestamp) when the sound was created.

### title

public String title
Title of the notification sound.

### data

public String data
Arbitrary data, defined while the sound was uploaded.

### sound

public TdApi.File sound
File containing the sound.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### NotificationSound

public NotificationSound()
Describes a notification sound in MP3 format.

### NotificationSound

public NotificationSound(long id, int duration, int date, String title, String data, TdApi.File sound)
Describes a notification sound in MP3 format.

Parameters:
  `id` - Unique identifier of the notification sound.
  `duration` - Duration of the sound, in seconds.
  `date` - Point in time (Unix timestamp) when the sound was created.
  `title` - Title of the notification sound.
  `data` - Arbitrary data, defined while the sound was uploaded.
  `sound` - File containing the sound.

### NotificationSound

public NotificationSound(DataInput input) throws IOException
Describes a notification sound in MP3 format.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`